Loading...
Searching...
No Matches
pcl::Functor< _Scalar, NX, NY > Struct Template Reference

Base functor all the models that need non linear optimization must define their own one and implement operator() (const Eigen::VectorXd& x, Eigen::VectorXd& fvec) or operator() (const Eigen::VectorXf& x, Eigen::VectorXf& fvec) depending on the chosen _Scalar. More...

`#include <pcl/sample_consensus/sac_model.h>`

## Public Types

enum | { InputsAtCompileTime = NX , ValuesAtCompileTime = NY }
using | Scalar = _Scalar
using | ValueType = Eigen::Matrix< Scalar, ValuesAtCompileTime, 1 >
using | InputType = Eigen::Matrix< Scalar, InputsAtCompileTime, 1 >
using | JacobianType = Eigen::Matrix< Scalar, ValuesAtCompileTime, InputsAtCompileTime >

## Public Member Functions

| Functor ()
| Empty Constructor.
| Functor (int m_data_points)
| Constructor.
virtual | ~Functor ()=default
int | values () const
| Get the number of values.

## Detailed Description

template<typename _Scalar, int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>
struct pcl::Functor< _Scalar, NX, NY >

Base functor all the models that need non linear optimization must define their own one and implement operator() (const Eigen::VectorXd& x, Eigen::VectorXd& fvec) or operator() (const Eigen::VectorXf& x, Eigen::VectorXf& fvec) depending on the chosen _Scalar.

Definition at line 679 of file sac_model.h.

## Member Typedef Documentation

## InputType

template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

using pcl::Functor< _Scalar, NX, NY >::InputType = Eigen::Matrix<Scalar,InputsAtCompileTime,1>

Definition at line 689 of file sac_model.h.

## JacobianType

template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

using pcl::Functor< _Scalar, NX, NY >::JacobianType = Eigen::Matrix<Scalar,ValuesAtCompileTime,InputsAtCompileTime>

Definition at line 690 of file sac_model.h.

## Scalar

template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

using pcl::Functor< _Scalar, NX, NY >::Scalar = _Scalar

Definition at line 681 of file sac_model.h.

## ValueType

template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

using pcl::Functor< _Scalar, NX, NY >::ValueType = Eigen::Matrix<Scalar,ValuesAtCompileTime,1>

Definition at line 688 of file sac_model.h.

## Member Enumeration Documentation

## anonymous enum

template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

anonymous enum

Enumerator
InputsAtCompileTime |
ValuesAtCompileTime |

Definition at line 682 of file sac_model.h.

## Constructor & Destructor Documentation

## Functor() [1/2]

template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

pcl::Functor< _Scalar, NX, NY >::Functor | ( |  | ) |

inline

Empty Constructor.

Definition at line 693 of file sac_model.h.

## Functor() [2/2]

template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

pcl::Functor< _Scalar, NX, NY >::Functor | ( | int | m_data_points | ) |

inline

Constructor.

Parameters

  [in] | m_data_points | number of data points to evaluate.

Definition at line 698 of file sac_model.h.

## ~Functor()

template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

virtual pcl::Functor< _Scalar, NX, NY >::~Functor | ( |  | ) |

virtual default

## Member Function Documentation

## values()

template<typename _Scalar , int NX = Eigen::Dynamic, int NY = Eigen::Dynamic>

int pcl::Functor< _Scalar, NX, NY >::values | ( |  | ) | const

inline

Get the number of values.

Definition at line 704 of file sac_model.h.

The documentation for this struct was generated from the following file:

- pcl/sample_consensus/sac_model.h